package com.fkzy.warn.common.request;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


/**
 * 请求类
 *
 * @author yuyantian
 * @date 2021/09/07 14:30
 */
@ApiModel(value = "请求类")
public class RequestParameter implements Serializable {

    private static final long serialVersionUID = 1244437270503922868L;

    @ApiModelProperty(value = "实体参数")
    private JSONObject parameter = new JSONObject();

    /**
     * 每页数据条数
     */
    @ApiModelProperty(value = "分页条件")
    private int size;
    /**
     * 当前页面
     */
    @ApiModelProperty(value = "每页个数")
    private int current;

    public RequestParameter() {
        this.current = 1;
        this.size = 10;
    }

    public JSONObject getParameter() {
        return parameter;
    }

    public void setParameter(JSONObject parameter) {
        this.parameter = parameter;
    }

    public int getCurrent() {
        return current;
    }

    public void setCurrent(int current) {
        this.current = current;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }


		public void setParameter() {
		}
}
